This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 974681 - puppet repo copy results in an unexpected error with some filter options
puppet repo copy results in an unexpected error with some filter options
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: puppet-support (Show other bugs)
2.2 Beta
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: pulp-bugs
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 15:38 EDT by Jeremy Cline
Modified: 2015-02-28 16:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-28 16:57:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 358 None None None Never

  None (edit)
Description Jeremy Cline 2013-06-14 15:38:25 EDT
Description of problem: When using 'pulp-admin puppet repo copy' an unexpected error occurs if the --gt, --lt, --gte, --lte, and --int-eq are used with non-integers.


Version-Release number of selected component (if applicable): pulp-puppet-admin-extensions-2.2.0-0.3.beta.fc18.noarch


How reproducible: always


Steps to Reproduce:
1. Create a repo and sync it. For example: pulp-admin puppet repo create --repo-id=puppet_repo --feed=http://forge.puppetlabs.com/ --queries httpd,mysql
2. pulp-admin puppet repo sync run --repo-id=puppet_repo
3. Create another puppet repo to copy to
4. pulp-admin puppet repo copy --from-repo-id=puppet_repo --to-repo-id=another_repo --int-eq='key=value'

Actual results:
An unexpected error has occurred. More information can be found in the client
log file ~/.pulp/admin.log.


Expected results:
A slightly more polite way of telling me I've made a huge mistake.

Additional info:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp/client/extensions/core.py", line 478, in run
    exit_code = Cli.run(self, args)
  File "/usr/lib/python2.7/site-packages/okaara/cli.py", line 974, in run
    exit_code = command_or_section.execute(self.prompt, remaining_args)
  File "/usr/lib/python2.7/site-packages/pulp/client/extensions/extensions.py", line 224, in execute
    return self.method(*arg_list, **clean_kwargs)
  File "/usr/lib/python2.7/site-packages/pulp/client/commands/unit.py", line 82, in run
    override_config=override_config, **kwargs)
  File "/usr/lib/python2.7/site-packages/pulp/bindings/repository.py", line 386, in copy
    criteria = self._generate_search_criteria(**kwargs)
  File "/usr/lib/python2.7/site-packages/pulp/bindings/repository.py", line 313, in _generate_search_criteria
    'filters': {'unit': SearchAPI.compose_filters(**kwargs)},
  File "/usr/lib/python2.7/site-packages/pulp/bindings/search.py", line 135, in compose_filters
    clauses.extend(operator.compose_filters(raw_values))
  File "/usr/lib/python2.7/site-packages/pulp/bindings/search.py", line 44, in compose_filters
    value = self.value_parser(value)
ValueError: invalid literal for int() with base 10: 'value'
Comment 2 Chris Duryee 2014-11-11 20:49:15 EST
This is still the case as of pulp 2.4.3.
Comment 3 Brian Bouterse 2015-02-28 16:57:09 EST
Moved to https://pulp.plan.io/issues/358

Note You need to log in before you can comment on or make changes to this bug.